Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffPlanData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlanData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffPlanData extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffPlanData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getCountActive()`
  `int`
  `getCountAll()`
  `int`
  `getCountChild()`
  `void`
  `setComment(String comment)`
  `void`
  `setCountActive(int countActive)`
  `void`
  `setCountAll(int countAll)`
  `void`
  `setCountChild(int countChild)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TariffPlanData

    public TariffPlanData()

- ## Method Details

  - ### getCountChild

    public int getCountChild()

  - ### setCountChild

    public void setCountChild(int countChild)

  - ### getCountActive

    public int getCountActive()

  - ### setCountActive

    public void setCountActive(int countActive)

  - ### getCountAll

    public int getCountAll()

  - ### setCountAll

    public void setCountAll(int countAll)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)